package trisgame.control;
import trisgame.view.VistaTris;
import trisgame.view.VistaPartita;
import trisgame.model.Tris;
import trisgame.model.Partita;
import trisgame.model.Giocatore;

/**
 *
 * @author Gianni
 */
public class TrisControl {
    Tris t=new Tris();
    Partita p = new Partita();
    VistaTris vt = new VistaTris(t);
    VistaPartita vp = new VistaPartita();
    int[][] coord = {
      {1,2},
      {2,2},
      {1,0},
      {0,0},
      {1,1}
    };
    
  public TrisControl(){
    p.setGx(new Giocatore('x',"Croce"));
    p.setGo(new Giocatore('o',"Testa"));
    p.setProssimoTurno();    
  }
  public void gioca(){
    vp.annunciaPartita();
    vp.mostraConcorrente(p.getGx());
    vp.mostraConcorrente(p.getGo());
    vt.mostra();
    while (p.getNumMossa()-1 < coord.length) {
      mossa(p.getTurno(),coord[p.getNumMossa()-1][0],coord[p.getNumMossa()-1][1]);
      p.setProssimoTurno();
    }    
  }  
  private void mossa(Giocatore g,int r, int c){
    vp.annunciaTurno(p.getNumMossa(),g.getNome());
    boolean esito=t.mossa(g.getCar(), r, c);
    vt.mostra();
    vp.mostraEsito(g.getNome(), esito);  
  }
}
